DeleteFindingTransformationRule
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FindingTransformationRule.DeleteFindingTransformationRule(ctx, operations.C1APIFindingV1FindingTransformationRuleServiceDeleteFindingTransformationRuleRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteFindingTransformationRuleResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/findings/transformation-rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/findings/transformation-rules/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/findings/transformation-rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Finding Transformation Rules
Delete Finding Transformation Rule
Delete a finding transformation rule. Findings already transformed by this rule are not affected.
DELETE
/
api
/
v1
/
findings
/
transformation-rules
/
{id}
DeleteFindingTransformationRule
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FindingTransformationRule.DeleteFindingTransformationRule(ctx, operations.C1APIFindingV1FindingTransformationRuleServiceDeleteFindingTransformationRuleRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteFindingTransformationRuleResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the finding transformation rule to delete.
Body
application/json
The DeleteFindingTransformationRuleRequest message.
Response
200 - application/json
Successful response
The DeleteFindingTransformationRuleResponse message.
Was this page helpful?
⌘I